# Send Message OTP

**HTTP Method** : <mark style="color:yellow;">**`POST`**</mark>&#x20;

**Endpoint URL :** [**`https://webapigw.ocatelkom.co.id/sms/v2/send-otp`**](https://webapigw.ocatelkom.co.id/sms/v2/send-otp)

**Request Body:**

| Property          | Type                                                                                                                                                              |
| ----------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| sender\_id        | String (numbers or masking number that get from numbers collection)                                                                                               |
| receipent\_number | <p>String (Destination phone number)<br>Values : <mark style="color:red;"><strong>country code + phone number</strong></mark> (+6281381475159, 6281381475159)</p> |
| message\_body     | String (Message Body)                                                                                                                                             |

```json
{
    "sender_id": "OCA Telkom",
    "receipent_number": "6281xxxxxxxx",
    "message_body": "ini nomor otp anda 123456"
}
```

**Response:**

| Property | Type    |
| -------- | ------- |
| success  | Boolean |
| msg\_id  | String  |

{% tabs %}
{% tab title="200" %}

```json
{
    "success": true,
    "msg_id": "xxxxftt5rd57u898xxxx"
}
```

{% endtab %}

{% tab title="Invalid Input Country Code" %}

```json
{
    "errors": [
        {
            "message": [
                {
                    "value": "89694353628",
                    "msg": "Invalid country code",
                    "param": "phone_number",
                    "location": "body"
                }
            ],
            "code": "39"
        }
    ]
}
```

{% endtab %}
{% endtabs %}
